// packageE/video_question/videoRecordList/videoRecordList.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if (options.id) {
      this.setData({
        id: options.id
      });
    }
    this.getdata();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  getdata() {
    var that = this;
    let urlStr = app.getNetAddresss('plugin.agent-qa.api.answer_record.details');
    app._postNetWork({
      url: urlStr,
      data: {
        id: that.data.id
      },
      success: (resdata) => {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          for (let i = 0; i < res.data.answer_record.length; i++) {
            for (let j = 0; j < res.data.answer_record[i].option.length; j++) {
              if (res.data.answer_record[i].option[j].answer == 1 && res.data.answer_record[i].option[j].answer_id == 1) {
                res.data.answer_record[i].isrela = true;
              }
            }
          }
          console.log(res.data);
          that.setData({
            info: res.data,
          });
        } else {
          wx.showToast({
            title: res.msg,
            icon: 'none'
          });
        }
      },
      fail: (res) => {
        wx.showToast({
          title: res.msg,
          icon: 'none'
        });
      }
    });
  },
});